using PDF_Office.CustomControl;
using PDF_Office.Helper;
using PDF_Office.ViewModels.Dialog.ConverterDialogs;
using System.Diagnostics;
using System.Linq;
using System.Windows;
using System.Windows.Controls;

namespace PDF_Office.Views.Dialog.ConverterDialogs
{
    /// <summary>
    /// Interaction logic for ConverterHTMLDialog
    /// </summary>
    public partial class ConverterHTMLDialog : UserControl
    {
        public ConverterHTMLDialog()
        {
            InitializeComponent();
        }
        private void ConverterPreview_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            ConverterPreview.document = ((ConverterHTMLDialogViewModel)this.DataContext).currentViewer.Document;
            char[] enumerationSeparator = new char[] { ',' };
            char[] rangeSeparator = new char[] { '-' };
            if (!CommonHelper.GetPagesInRange(ref ConverterPreview.PageIndexLists, "1-" + ConverterPreview.document.PageCount.ToString(), ConverterPreview.document.PageCount, enumerationSeparator, rangeSeparator))
            { //TODO
                Trace.WriteLine("输入不对");
                MessageBoxEx.Show("输入不对");
                return;
            }
            ConverterPreview.AwaitRenderBitmap(ConverterPreview.document);
            ConverterPreview.PageIndex.Text = ConverterPreview.document.PageCount.ToString();
        }

        private void PageRangeComboBox_Loaded(object sender, RoutedEventArgs e)
        {
            PageRangeComboBox.CurrentPage = true;
            if (PageRangeComboBox.CurrentPage)
            {
                ComboBoxItem comboBoxItem = new ComboBoxItem();
                comboBoxItem.Content = "当前页面";
                PageRangeComboBox.writableComboBox.Items.Insert(1, comboBoxItem);

            }
        }
    }
}
